mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SHA1 Managed implementation of the SHA1 cryptographic hash function. Recent attacks on the SHA-1 algorithm suggest that it can be broken with a complexity of about 2^63, while a normal brute-force attack would be 2^80. You are encourage to migrate your applications to larger version of SHA.
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void `` `` `` Byte array containing the data to hash. Where in the input buffer to start. Size in bytes of the data in the buffer to hash. Drives the hashing function. To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte[] This finalizes the hash. Takes the data from the chaining variables and returns it. To be added: an object of type 'byte []' To be added 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)